target = main
sources = main.cpp
base_header = ../all.h
precompiled_header = ../all.h.pch

# 実行ファイルを生成するルール
$(target) : $(sources) $(precompiled_header)
	g++ -lstdc++fs -std=c++17 -Wall --pedantic-errors -include $(base_header) -o $(target) $(sources) -lstdc++fs

# コンパイル済ヘッダファイルを作成
$(precompiled_header) : $(base_header)
	g++ -std=c++17 -Wall --pedantic-errors -x c++-header -o $(precompiled_header) $(base_header)

run : $(target)
	./$(target)

clean:
	if [ -e $(precompiled_header) ]; then rm $(precompiled_header); fi
	if [ -e $(target) ]; then rm $(target); fi

.PHONY : run clean
